%global momorel 6

Summary: The LAPACK libraries for numerical linear algebra.
Name: lapack
Version: 3.0
Release: %{momorel}m
License: see "http://www.netlib.org/lapack/lug/node13.html"
Group: Development/Libraries
# If you want the source, look for the files with the .gz prefix
Source0: http://www.netlib.org/lapack/lapack.tgz
Source1: http://www.netlib.org/lapack/manpages.tgz
Source2: Makefile.blas
Source3: Makefile.lapack
Source4: http://www.netlib.org/lapack/lapackqref.ps
Source5: http://www.netlib.org/blas/blasqr.ps
Patch0: lapack-20010525.patch
URL: http://www.netlib.org/lapack/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gcc-g77
NoSource: 0
NoSource: 1

%description
LAPACK (Linear Algebra PACKage) is a standard library for numerical
linear algebra. LAPACK provides routines for solving systems of
simultaneous linear equations, least-squares solutions of linear
systems of equations, eigenvalue problems, and singular value
problems. Associated matrix factorizations (LU, Cholesky, QR, SVD,
Schur, and generalized Schur) and related computations (i.e.,
reordering of Schur factorizations and estimating condition numbers)
are also included. LAPACK can handle dense and banded matrices, but
not general sparse matrices. Similar functionality is provided for
real and complex matrices in both single and double precision. LAPACK
is coded in Fortran77 and built with gcc.

%package -n blas
Summary: The BLAS (Basic Linear Algebra Subprograms) library.
Group: Development/Libraries
Obsoletes: lapack-blas

%description -n blas
BLAS (Basic Linear Algebra Subprograms) is a standard library which
provides a number of basic algorithms for numerical algebra. Man
pages for blas are available in the blas-man package.

%package -n blas-man
Summary: Man pages for BLAS (Basic Linear Algebra Subprograms) routines.
Group: Documentation
Obsoletes: lapack-blas-man

%description -n blas-man
The blas-man package contains documentation for BLAS (Basic Linear
Algebra Subprograms) routines in the form of man pages.

%package man
Summary: Documentation for the LAPACK numerical linear algebra libraries.
Group: Documentation

%description man
Documentation, in the form of man pages, for the LAPACK numerical
linear algebra libraries.

%prep
%setup -q -n LAPACK
%setup -q -D -T -a 1 -n LAPACK
%patch0 -p1
cp -f %{SOURCE2} BLAS/SRC/Makefile
cp -f %{SOURCE3} SRC/Makefile

%build
cd BLAS/SRC
FFLAGS="%{optflags}" make static
cp libblas.a ../..
make clean
FFLAGS="%{optflags} -fPIC" make shared
cp libblas.so.3.0.3 ../..
cd ../..
ln -s libblas.so.3.0.3 libblas.so

cd SRC
FFLAGS="%{optflags}" make static

cp liblapack.a ..
make clean
FFLAGS="%{optflags} -fPIC" make shared
cp liblapack.so.3.0.3 ..
cd ..
cp %{SOURCE4} lapackqref.ps
cp %{SOURCE5} blasqr.ps


%install
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_mandir}/manl

cp -f liblapack.so.3.0.3 %{buildroot}%{_libdir}/liblapack.so.3.0.3
cp -f libblas.so.3.0.3 %{buildroot}%{_libdir}/libblas.so.3.0.3
cp -f libblas.a %{buildroot}%{_libdir}/libblas.a
cp -f liblapack.a %{buildroot}%{_libdir}/liblapack.a

cd blas/man/manl
cd ../../..
echo "%defattr(-, root, root)" > blasmans
find blas/man/manl -type f -printf "%{_mandir}/manl/%f.bz2\n" > blasmans
cd man/manl
cd ../..
echo "%defattr(-, root, root)" > lapackmans
# These are also in the BLAS package
rm -f man/manl/lsame.l*
rm -f man/manl/xerbla.l*
find man/manl -type f -printf "%{_mandir}/manl/%f.bz2\n" > lapackmans

cp -f blas/man/manl/* %{buildroot}%{_mandir}/manl
cp -f man/manl/* %{buildroot}%{_mandir}/manl
cd %{buildroot}%{_libdir}
ln -sf liblapack.so.3.0.3 liblapack.so
ln -sf liblapack.so.3.0.3 liblapack.so.3
ln -sf liblapack.so.3.0.3 liblapack.so.3.0
ln -sf libblas.so.3.0.3 libblas.so
ln -sf libblas.so.3.0.3 libblas.so.3
ln -sf libblas.so.3.0.3 libblas.so.3.0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n blas -p /sbin/ldconfig

%postun -n blas -p /sbin/ldconfig

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc README lapackqref.ps
%{_libdir}/liblapack.*

%files -n blas
%defattr(-,root,root)
%doc blasqr.ps
%{_libdir}/libblas.*

%files -n blas-man -f blasmans
%defattr(-,root,root)

%files man -f lapackmans
%defattr(-,root,root)

%changelog
* Sun Feb  6 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.0-6m)
- enable x86_64.

* Tue Nov 25 2003 zunda <zunda at freeshell.org>
- (3.0-5m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- It seems that hte BLAS code is under the same license:
  `The BLAS are not strictly speaking part of LAPACK, but Fortran 77 code for
  the BLAS is distributed with LAPACK, ...' from
	http://www.netlib.org/lapack/lug/node11.html.

* Thu Dec 19 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0-4m)
- add BuildPreReq: gcc-g77

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (3.0-2k)

* Mon Aug 13 2001 Trond Eivind Glomsr?<teg@redhat.com> 3.0-12
- The man-pages for xerbla and lsame were in blas-man and lapack-man (#51605)

* Fri Jun  8 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Reenable optimization for IA64

* Fri May 25 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add all patches from the LAPACK site as of 2001-05-25
- Use this workaround for IA64 instead
- Remove SPARC workaround
- Don't exclude IA64

* Thu Dec 07 2000 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild for main distribution

* Mon Nov 20 2000 Trond Eivind Glomsr?<teg@redhat.com>
- add the LAPACK Quick Reference Guide to the docs
- add the BLAS Quick Reference Guide to the docs

* Tue Aug 01 2000 Trond Eivind Glomsr?<teg@redhat.com>
- fix lack of ldconfig in postuninstall script

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Trond Eivind Glomsr?<teg@redhat.com>
- updated with the latest updates (new tarfile..) from netlib 

* Thu Jun 15 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%{_mandir}
- added some flags to work around SPARC compiler bug

* Wed Jan 19 2000 Tim Powers <timp@redhat.com>
- bzipped sources to conserve space

* Tue Jan  4 2000 Jeff Johnson <jbj@redhat.com>
- build for PowerTools 6.2.

* Sat Dec 25 1999 Joachim Frieben <jfrieben@hotmail.com>
- updated to version v3.0 + update as of Tue Nov 30 1999

* Sat Oct 23 1999 Joachim Frieben <jfrieben@hotmail.com>
- updated Red Hat makefiles to v3.0

* Mon Aug 2 1999 Tim Powers <timp@redhat.com>
- updated to v3.0
- built for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- new description/summary text.

* Fri Jul 17 1998 Jeff Johnson <jbj@redhat.com>
- repackage for powertools.

* Sun Feb 15 1998 Trond Eivind Glomsr?<teg@pvv.ntnu.no>
 [lapack-2.0-9]
 - No code updates, just built with a customized rpm -
   this should make dependencies right.

* Sat Feb 07 1998 Trond Eivind Glomsr?<teg@pvv.ntnu.no>
 [lapack-2.0-8]
 - Total rewrite of the spec file
 - Added my own makefiles - libs should build better,
   static libs should work (and be faster than they
	would be if they had worked earlier ;)
 - No patch necessary anymore.
 - Renamed lapack-blas and lapack-blas-man to
   blas and blas-man. "Obsoletes:" tag added.
   (oh - and as always: Dedicated to the girl I
   love, Eline Skirnisdottir)

* Sat Dec 06 1997 Trond Eivind Glomsr?<teg@pvv.ntnu.no>
 [lapack-2.0-7]
  - added a dependency to glibc, so people don't try with libc5

* Thu Nov 20 1997 Trond Eivind Glomsr?<teg@pvv.ntnu.no>
  [lapack-2.0-6]
  - removed etime.c
  - compiled with egcs, and for glibc 2.0

* Sun Oct 12 1997 Trond Eivind Glomsr?<teg@pvv.ntnu.no>
  [lapack-2.0-5]
  - added a changelog
  - cleaned up building of shared libs
  - now uses a BuildRoot
  - cleaned up the specfile
